#pragma once

#include <seallib/log.h>

#include <iostream>

using namespace seallib;

class ConOutSink : public ILogSink
{
    public:
        virtual void receiveLog(LogType type, std::string_view loggerName, std::string_view msg) override
        {
#ifndef _DEBUG
            if (type == LogType::VERBOSE) return;
#endif
            std::cout << "[" << loggerName << "] " << seallib::getLogTypeColor(type) << "["
                      << seallib::getLogTypeName(type) << "]"
                      << "\x1b[0m " << msg << std::endl;
        }
};
